Subject: Re: XFree86 3.1.2F plans?

From: [email-masked]
Date: Sun, 1 Sep 96 11:48 BST

In article <[email-masked]> you write:

> XFree86 3.1.2F is out, according to http://www.xfree86.org.  I am
> wondering if a Debian package of this beta software will be made
> available.  Anyone have any plans to make this available???

I do not intend to package any versions of XFree86 other than released
versions - i.e. versions for which source is publically available. I
believe the next proper release of XFree86 will occur in the next
couple of months, but see www.xfree86.org for a better estimate.

People who need the functionality in the beta servers should install
the new server binary and modify /etc/X11/Xserver to point to the
appropriate place.

People who need the functionality in the rest of the XFree86 beta will
have to install it themselves. It will probably be easiest for you to
remove your existing Debian X installation (using the --force-depends
option in dpkg wherever necessary), and then when the next set of
Debian X packages are released remove the XFree86 beta and install the
packages.

The X packages are fairly similar to the 'plain' version of
XFree86. There are a couple of security fixes applied to the binaries,
but the major change is the movement of configuration files from
/usr/X11R6/lib/X11 to /etc/X11 in order to comply with the filesystem
standard. This is currently accomplished by putting symlinks in
appropriate places in /usr/X11R6/lib/X11, rather than modifying the
compiled-in paths.

Steve Early
[email-masked]